Game modes
==========

There are several classes of game modes. The modes that originate from other games are organized by suffix:

* The "C" series stand for "Classic" games, games that were produced before around 1992-1993 and generally have no wallkicks or lock delay.
	* C84 - The original version from the Electronika 60.
	* C88 - Sega Tetris.
	* C89 - Nintendo / NES Tetris.
* The "A" series stand for "Arika" games, or games in the Tetris the Grand Master series.
	* A1 - Tetris The Grand Master (the original from 1998).
	* A2 - Tetris The Absolute The Grand Master 2 PLUS.
	* A3 - Tetris The Grand Master 3 Terror-Instinct.
	* AX - Tetris The Grand Master ACE (X for Xbox).
* The "G" series stand for "Guideline" games, or games that follow the Tetris Guideline.
	* GF - Tetris Friends (2007-2019)
	* GJ - Tetris Online Japan (2005-2011)
* N stands for Nullpomino, only used for Phantom Mania N.

MARATHON
--------

Modes in which the goal is to play as well as possible over a limited game interval.

* **MARATHON 2020**: 2020 levels of pure pain. Can you make it all the way?

From other games:
* **MARATHON A1**: Tetris the Grand Master 1.
* **MARATHON A2**: Tetris the Grand Master 2 (TAP Master).
* **MARATHON A3**: Tetris the Grand Master 3 (no exams).
* **MARATHON AX4**: Another mode from TGM Ace.
* **MARATHON C89**: Nintendo NES Tetris. Can you transition and make it to the killscreen?


SURVIVAL
--------

Modes that concentrate on how long you can survive an increasingly fast and difficult game.

* **SURVIVAL 2020**: It only gets worse from Marathon 2020. Beware of the total delay!

From other games:
* **SURVIVAL A1**: 20G mode from Tetris the Grand Master.
* **SURVIVAL A2**: T.A. Death.
* **SURVIVAL A3**: Ti Shirase.


RACE
----

Modes with no levels, just a single timed goal.

* **Race 40**: How fast can you clear 40 lines? No limits, no holds barred.


PHANTOM MANIA
-------------

Modes where pieces turn invisible as soon as you lock them. One of Cambridge's signature features.

* **Phantom Mania**: The classic invisible mode from Nullpomino. Can you handle 999 levels of "the M roll"?

* **Phantom Mania 2**: Phantom Mania but way faster! Can you face a mode where even the garbage and the next preview turn invisible?



OTHER MODES
-----------

* **Strategy**: How well can you plan ahead your movements? Can you handle only having a short time to place each piece?

* **TetrisGram™ Pacer Test**: is a multi-stage piece-placing ability test that progressively gets more difficult as it continues.

* **Interval Training**: 30 seconds per section. 20G. 15 frames of lock delay. How long can you last?

* **Demon Mode**: An original mode from Oshisaure! Can you push through the ever faster levels and not get denied?